import { Prop, Provide, Emit, Model } from 'vue-property-decorator';
import { Subject, Subscription } from 'rxjs';
import { Watch, TabExpPanelControlBase } from '@/studio-core';
import HRTransferApplyService from '@/service/hrtransfer-apply/hrtransfer-apply-service';
import V_005tabexppanelService from './v-005tabexppanel-tabexppanel-service';
import HRTransferApplyUIService from '@/uiservice/hrtransfer-apply/hrtransfer-apply-ui-service';


/**
 * tabexppanel部件基类
 *
 * @export
 * @class TabExpPanelControlBase
 * @extends {V_005tabexppanelTabexppanelBase}
 */
export class V_005tabexppanelTabexppanelBase extends TabExpPanelControlBase {

    /**
     * 获取部件类型
     *
     * @protected
     * @type {string}
     * @memberof V_005tabexppanelTabexppanelBase
     */
    protected controlType: string = 'TABEXPPANEL';

    /**
     * 建构部件服务对象
     *
     * @type {V_005tabexppanelService}
     * @memberof V_005tabexppanelTabexppanelBase
     */
    public service: V_005tabexppanelService = new V_005tabexppanelService({ $store: this.$store });

    /**
     * 实体服务对象
     *
     * @type {HRTransferApplyService}
     * @memberof V_005tabexppanelTabexppanelBase
     */
    public appEntityService: HRTransferApplyService = new HRTransferApplyService({ $store: this.$store });

    /**
     * 应用实体名称
     *
     * @protected
     * @type {string}
     * @memberof V_005tabexppanelTabexppanelBase
     */
    protected appDeName: string = 'hrtransferapply';

    /**
     * 应用实体中文名称
     *
     * @protected
     * @type {string}
     * @memberof V_005tabexppanelTabexppanelBase
     */
    protected appDeLogicName: string = '调动申请';
    /**
     * 是否初始化
     *
     * @protected
     * @returns {any}
     * @memberof V_005tabexppanel
     */
    protected isInit: any = {
        tabviewpanel:  true ,
        tabviewpanel2:  false ,
    }

    /**
     * 被激活的分页面板
     *
     * @protected
     * @type {string}
     * @memberof V_005tabexppanel
     */
    protected activatedTabViewPanel: string = 'tabviewpanel';

    /**
     * 组件创建完毕
     *
     * @protected
     * @memberof V_005tabexppanel
     */
    protected ctrlCreated(): void {
        //设置分页导航srfparentdename和srfparentkey
        if (this.context.hrtransferapply) {
            Object.assign(this.context, { srfparentdename: 'HRTransferApply', srfparentkey: this.context.hrtransferapply });
        }
        super.ctrlCreated();
    }
}